Bug 586377 - Please don't depend on hal
Please don't depend on hal
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gparted (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-27 08:50 EDT by Hicham HAOUARI
Modified: 2010-08-19 21:28 EDT (History)
1 user (show)

See Also:
Fixed In Version: gparted-0.6.2-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-19 21:28:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 558022 None None None Never

  None (edit)
Description Hicham HAOUARI 2010-04-27 08:50:02 EDT
Description of problem:
From original debian bug tracker :
"gparted uses hal-lock to make sure that desktop automounters don't mount
devices while gparted fiddles with them.  However, this should not
require gparted to depend on hal.  gparted should just use hal-lock if
present, and ignore it if not.  If nothing else pulls in hal, then
nothing will check the hal lock status, and thus running hal-lock
doesn't help."

Version-Release number of selected component (if applicable):
gparted-0.5.2-1.fc13

How reproducible:
Always

Steps to Reproduce:
1.Try to remove hal
2.gparted is getting removed as well
  
Actual results:
Hal dependency

Expected results:
No hal dependency

Additional info:
Tested on fedora 13 without hal and it works
Comment 1 Hicham HAOUARI 2010-04-27 08:51:18 EDT
This will help with :

http://fedoraproject.org/wiki/Features/HalRemoval
Comment 2 Fedora Update System 2010-08-06 14:28:14 EDT
gparted-0.6.2-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gparted-0.6.2-1.fc13
Comment 3 Fedora Update System 2010-08-07 19:25:46 EDT
gparted-0.6.2-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gparted'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gparted-0.6.2-1.fc13
Comment 4 Fedora Update System 2010-08-19 21:28:18 EDT
gparted-0.6.2-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.